import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';
import 'package:senior_design_system/senior_design_system.dart';
import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../widgets/page_wrapper.dart';
import '../widgets/panel.dart';

class BadgeExemple extends StatefulWidget {
  const BadgeExemple({Key? key}) : super(key: key);

  @override
  State<BadgeExemple> createState() => _BadgeExempleState();
}

class _BadgeExempleState extends State<BadgeExemple> {
  int counter1 = 0;
  int counter2 = 0;

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Badge',
      child: ListView(
        padding: const EdgeInsets.all(SeniorSpacing.normal),
        children: [
          Panel(
            title: 'Pills',
            child: Wrap(
              spacing: SeniorSpacing.normal,
              runSpacing: SeniorSpacing.normal,
              children: [
                Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge(
                        backgroundColor: SeniorColors.supportingColor,
                        fontColor: SeniorColors.pureWhite,
                        label: 'Supera as expectativas',
                        shape: SeniorBadgeShape.pill,
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge(
                        backgroundColor: SeniorColors.primaryColor400,
                        fontColor: SeniorColors.pureBlack,
                        label: 'Atende plenamente',
                        shape: SeniorBadgeShape.pill,
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge(
                        backgroundColor: SeniorColors.manchesterColorBlue,
                        fontColor: SeniorColors.pureWhite,
                        label: 'Atende satisfatoriamente',
                        shape: SeniorBadgeShape.pill,
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge(
                        backgroundColor: SeniorColors.manchesterColorYellow,
                        fontColor: SeniorColors.pureBlack,
                        label: 'Atende parcialmente',
                        shape: SeniorBadgeShape.pill,
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge(
                        backgroundColor: SeniorColors.manchesterColorRed,
                        fontColor: SeniorColors.pureWhite,
                        label: 'Não atende',
                        shape: SeniorBadgeShape.pill,
                      ),
                    ),
                  ],
                ),
                Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge(
                        backgroundColor: SeniorColors.supportingColor,
                        disabledBackgroundColor: SeniorColors.secondaryColor400,
                        fontColor: SeniorColors.pureWhite,
                        disabledFontColor: SeniorColors.pureBlack,
                        label: 'Supera as expectativas',
                        shape: SeniorBadgeShape.pill,
                        disabled: true,
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge(
                        backgroundColor: SeniorColors.primaryColor400,
                        disabledBackgroundColor: SeniorColors.secondaryColor400,
                        fontColor: SeniorColors.pureWhite,
                        disabledFontColor: SeniorColors.pureBlack,
                        label: 'Atende plenamente',
                        shape: SeniorBadgeShape.pill,
                        disabled: true,
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge(
                        backgroundColor: SeniorColors.manchesterColorBlue,
                        disabledBackgroundColor: SeniorColors.secondaryColor400,
                        fontColor: SeniorColors.pureWhite,
                        disabledFontColor: SeniorColors.pureBlack,
                        label: 'Atende satisfatoriamente',
                        shape: SeniorBadgeShape.pill,
                        disabled: true,
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge(
                        backgroundColor: SeniorColors.manchesterColorYellow,
                        disabledBackgroundColor: SeniorColors.secondaryColor400,
                        fontColor: SeniorColors.pureBlack,
                        disabledFontColor: SeniorColors.pureBlack,
                        label: 'Atende parcialmente',
                        shape: SeniorBadgeShape.pill,
                        disabled: true,
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge(
                        backgroundColor: SeniorColors.manchesterColorRed,
                        disabledBackgroundColor: SeniorColors.secondaryColor400,
                        fontColor: SeniorColors.pureWhite,
                        disabledFontColor: SeniorColors.pureBlack,
                        label: 'Não atende',
                        shape: SeniorBadgeShape.pill,
                        disabled: true,
                      ),
                    ),
                  ],
                ),
              ],
            ),
          ),
          Panel(
            title: 'Chips',
            child: Wrap(
              spacing: SeniorSpacing.normal,
              runSpacing: SeniorSpacing.normal,
              children: [
                Padding(
                  padding: const EdgeInsets.all(
                    SeniorSpacing.xxsmall,
                  ),
                  child: SeniorBadge(
                    backgroundColor: SeniorColors.manchesterColorGreen,
                    fontColor: SeniorColors.pureWhite,
                    label: 'Enviado',
                    shape: SeniorBadgeShape.chip,
                  ),
                ),
                Padding(
                  padding: const EdgeInsets.all(
                    SeniorSpacing.xxsmall,
                  ),
                  child: SeniorBadge(
                    backgroundColor: SeniorColors.manchesterColorBlue,
                    fontColor: SeniorColors.pureBlack,
                    label: 'Atendido',
                    shape: SeniorBadgeShape.chip,
                  ),
                ),
                Padding(
                  padding: const EdgeInsets.all(
                    SeniorSpacing.xxsmall,
                  ),
                  child: SeniorBadge(
                    backgroundColor: SeniorColors.manchesterColorYellow,
                    fontColor: SeniorColors.pureBlack,
                    label: 'Aguardando',
                    shape: SeniorBadgeShape.chip,
                  ),
                ),
                Padding(
                  padding: const EdgeInsets.all(
                    SeniorSpacing.xxsmall,
                  ),
                  child: SeniorBadge(
                    backgroundColor: SeniorColors.manchesterColorGreen,
                    disabledBackgroundColor: SeniorColors.secondaryColor400,
                    fontColor: SeniorColors.pureWhite,
                    disabledFontColor: SeniorColors.pureBlack,
                    label: 'Enviado',
                    shape: SeniorBadgeShape.chip,
                    disabled: true,
                  ),
                ),
                Padding(
                  padding: const EdgeInsets.all(
                    SeniorSpacing.xxsmall,
                  ),
                  child: SeniorBadge(
                    backgroundColor: SeniorColors.manchesterColorBlue,
                    disabledBackgroundColor: SeniorColors.secondaryColor400,
                    fontColor: SeniorColors.pureWhite,
                    disabledFontColor: SeniorColors.pureBlack,
                    label: 'Atendido',
                    shape: SeniorBadgeShape.chip,
                    disabled: true,
                  ),
                ),
                Padding(
                  padding: const EdgeInsets.all(
                    SeniorSpacing.xxsmall,
                  ),
                  child: SeniorBadge(
                    backgroundColor: SeniorColors.manchesterColorYellow,
                    disabledBackgroundColor: SeniorColors.secondaryColor400,
                    fontColor: SeniorColors.pureBlack,
                    disabledFontColor: SeniorColors.pureBlack,
                    label: 'Aguardando',
                    shape: SeniorBadgeShape.chip,
                    disabled: true,
                  ),
                ),
              ],
            ),
          ),
          Panel(
            title: 'Badges selecionáveis',
            child: Wrap(
              spacing: SeniorSpacing.normal,
              runSpacing: SeniorSpacing.normal,
              children: [
                Padding(
                  padding: const EdgeInsets.all(
                    SeniorSpacing.xxsmall,
                  ),
                  child: SeniorBadge(
                    backgroundColor: SeniorColors.manchesterColorGreen500,
                    selectedBackgroundColor: SeniorColors.manchesterColorGreen600,
                    fontColor: SeniorColors.pureWhite,
                    label: 'Toque no badge',
                    shape: SeniorBadgeShape.chip,
                    value: 'selecionável 1',
                    count: counter1,
                    onSelect: (_) {
                      setState(() {
                        counter1 = counter1 == 9 ? 1 : counter1 + 1;
                      });
                    },
                  ),
                ),
                Padding(
                  padding: const EdgeInsets.all(
                    SeniorSpacing.xxsmall,
                  ),
                  child: SeniorBadge(
                    backgroundColor: SeniorColors.manchesterColorBlue500,
                    selectedBackgroundColor: SeniorColors.manchesterColorBlue600,
                    fontColor: SeniorColors.pureBlack,
                    label: 'Toque no badge',
                    shape: SeniorBadgeShape.chip,
                    value: 'selecionável 2',
                    count: counter2,
                    onSelect: (_) {
                      setState(() {
                        counter2 = counter2 == 9 ? 1 : counter2 + 1;
                      });
                    },
                  ),
                ),
              ],
            ),
          ),
          Panel(
            title: 'Pill - Icons',
            child: Wrap(
              spacing: SeniorSpacing.normal,
              runSpacing: SeniorSpacing.normal,
              children: [
                Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge.icon(
                        backgroundColor: SeniorColors.supportingColor,
                        fontColor: SeniorColors.grayscale0,
                        icon: FontAwesomeIcons.faceLaugh,
                        label: 'Supera as expectativas',
                        shape: SeniorBadgeShape.chip,
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge.icon(
                        backgroundColor: SeniorColors.primaryColor400,
                        fontColor: SeniorColors.grayscale80,
                        icon: FontAwesomeIcons.faceLaughWink,
                        label: 'Atende plenamente',
                        shape: SeniorBadgeShape.chip,
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge.icon(
                        backgroundColor: SeniorColors.manchesterColorBlue,
                        fontColor: SeniorColors.grayscale0,
                        icon: FontAwesomeIcons.faceSmileWink,
                        label: 'Atende satisfatoriamente',
                        shape: SeniorBadgeShape.chip,
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge.icon(
                        backgroundColor: SeniorColors.manchesterColorYellow,
                        fontColor: SeniorColors.pureBlack,
                        icon: FontAwesomeIcons.faceSmile,
                        label: 'Atende parcialmente',
                        shape: SeniorBadgeShape.chip,
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge.icon(
                        backgroundColor: SeniorColors.manchesterColorRed,
                        fontColor: SeniorColors.pureWhite,
                        icon: FontAwesomeIcons.faceMeh,
                        label: 'Não atende',
                        shape: SeniorBadgeShape.chip,
                      ),
                    ),
                  ],
                ),
                Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge.icon(
                        backgroundColor: SeniorColors.supportingColor,
                        fontColor: SeniorColors.pureWhite,
                        icon: FontAwesomeIcons.faceLaugh,
                        label: 'Supera as expectativas',
                        shape: SeniorBadgeShape.pill,
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge.icon(
                        backgroundColor: SeniorColors.primaryColor400,
                        fontColor: SeniorColors.pureWhite,
                        icon: FontAwesomeIcons.faceLaughWink,
                        label: 'Atende plenamente',
                        shape: SeniorBadgeShape.pill,
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge.icon(
                        backgroundColor: SeniorColors.manchesterColorBlue,
                        fontColor: SeniorColors.pureWhite,
                        icon: FontAwesomeIcons.faceSmileWink,
                        label: 'Atende satisfatoriamente',
                        shape: SeniorBadgeShape.pill,
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge.icon(
                        backgroundColor: SeniorColors.manchesterColorYellow,
                        fontColor: SeniorColors.pureBlack,
                        icon: FontAwesomeIcons.faceSmile,
                        label: 'Atende parcialmente',
                        shape: SeniorBadgeShape.pill,
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge.icon(
                        backgroundColor: SeniorColors.manchesterColorRed,
                        fontColor: SeniorColors.pureWhite,
                        icon: FontAwesomeIcons.faceMeh,
                        label: 'Não atende',
                        shape: SeniorBadgeShape.pill,
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge.icon(
                        backgroundColor: SeniorColors.grayscale10,
                        fontColor: SeniorColors.manchesterColorRed,
                        iconColor: SeniorColors.manchesterColorBlue,
                        icon: FontAwesomeIcons.solidCircleLeft,
                        label: 'Com cores diferentes',
                        shape: SeniorBadgeShape.pill,
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge.icon(
                        disabled: true,
                        backgroundColor: SeniorColors.grayscale10,
                        fontColor: SeniorColors.manchesterColorRed,
                        iconColor: SeniorColors.manchesterColorBlue,
                        disabledFontColor: SeniorColors.pureBlack,
                        disabledIconColor: SeniorColors.manchesterColorRed,
                        icon: FontAwesomeIcons.solidCircleLeft,
                        label: 'Com cores diferentes disabled',
                        shape: SeniorBadgeShape.pill,
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.all(
                        SeniorSpacing.xxsmall,
                      ),
                      child: SeniorBadge.icon(
                        backgroundColor: SeniorColors.primaryColor400,
                        fontColor: SeniorColors.pureWhite,
                        icon: FontAwesomeIcons.faceSmileWink,
                        iconPosition: SeniorBadgeIconPosition.right,
                        label: 'Com ícone a direita',
                        shape: SeniorBadgeShape.pill,
                      ),
                    ),
                  ],
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
