import 'package:flutter/material.dart';

import 'package:font_awesome_flutter/font_awesome_flutter.dart';
import 'package:senior_design_system/senior_design_system.dart';

import '../widgets/page_wrapper.dart';

class ExpandableListExample extends StatelessWidget {
  const ExpandableListExample({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Expandable List',
      child: SeniorExpandableList(
        items: [
          SeniorExpandableListItemData(
            title: 'Informações gerais',
            summary: 'Resumo',
            icon: FontAwesomeIcons.user,
            content: Container(
              color: Colors.orange,
              height: 200.0,
            ),
          ),
          SeniorExpandableListItemData(
            title: 'Produtos',
            icon: FontAwesomeIcons.cartShopping,
            content: Container(
              color: Colors.orange,
              height: 200.0,
            ),
          ),
          SeniorExpandableListItemData(
            title: 'Garantia & Seguro',
            icon: FontAwesomeIcons.shieldHalved,
            disabled: true,
            content: Container(
              color: Colors.orange,
              height: 200.0,
            ),
          ),
          SeniorExpandableListItemData(
            title: 'Entrega',
            icon: FontAwesomeIcons.truck,
            content: Container(
              color: Colors.orange,
              height: 200.0,
            ),
          ),
          SeniorExpandableListItemData(
            title: 'Montagem',
            icon: FontAwesomeIcons.screwdriverWrench,
            disabled: true,
            content: Container(
              color: Colors.orange,
              height: 200.0,
            ),
          ),
          SeniorExpandableListItemData(
            title: 'Pagamento',
            icon: FontAwesomeIcons.dollarSign,
            content: Container(
              color: Colors.orange,
              height: 200.0,
            ),
          ),
        ],
      ),
    );
  }
}
