import 'package:flutter/material.dart';

import 'package:senior_design_tokens/senior_design_tokens.dart';
import 'package:senior_design_system/senior_design_system.dart';

import '../widgets/page_wrapper.dart';

class ImageCropperExample extends StatefulWidget {
  const ImageCropperExample({super.key});

  @override
  State<ImageCropperExample> createState() => _ImageCropperExampleState();
}

class _ImageCropperExampleState extends State<ImageCropperExample> {
  ImageProvider? _pickedImage;

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Image Cropper Example',
      child: Column(
        children: [
          SeniorProfilePicture(
            name: 'Image Cropper',
            radius: 40.0,
            imageProvider: _pickedImage,
          ),
          const SizedBox(height: SeniorSpacing.small),
          SeniorButton(
            label: 'Alterar imagem',
            onPressed: () {
              SeniorImageCropper(
                cropperTitle: 'Image Cropper',
                onCropImage: (image) {
                  setState(() {
                    _pickedImage = FileImage(image);
                  });
                },
                pickImageLabel: 'Selecionar da galeria',
                takePhotoLabel: 'Tirar uma foto',
              ).pickImage(context);
            },
          ),
        ],
      ),
    );
  }
}
