import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';

import 'package:senior_design_system/senior_design_system.dart';

import '../widgets/page_wrapper.dart';

class LinearLongPressButtonExample extends StatefulWidget {
  const LinearLongPressButtonExample({Key? key}) : super(key: key);

  @override
  _LinearLongPressButtonExampleState createState() =>
      _LinearLongPressButtonExampleState();
}

class _LinearLongPressButtonExampleState
    extends State<LinearLongPressButtonExample> {
  bool buttonBusy = false;
  void showMesage() {
    final future =
        new Future.delayed(const Duration(milliseconds: 2000), () => 'Marcado');
    setButtonBusyState(true);

    ScaffoldMessenger.of(context).showSnackBar(
      SeniorSnackBar.success(
        message: 'Operação concluída',
      ),
    );

    future.asStream().listen((event) {
      setButtonBusyState(false);
    });
  }

  void setButtonBusyState(bool busyState) {
    setState(() {
      buttonBusy = busyState;
    });
  }

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Linear Long Press Button',
      child: Center(
        child: SeniorLinearLongPressButton(
          icon: FontAwesomeIcons.airbnb,
          duration: 1,
          label: 'Botão',
          busy: buttonBusy,
          busyMessage: 'Ocupado',
          onSubmit: showMesage,
          fullLength: true,
        ),
      ),
    );
  }
}
