import 'package:flutter/material.dart';

import 'package:senior_design_system/senior_design_system.dart';

import '../widgets/page_wrapper.dart';

class QuotesExample extends StatefulWidget {
  const QuotesExample({Key? key}) : super(key: key);

  @override
  _QuotesExampleState createState() => _QuotesExampleState();
}

class _QuotesExampleState extends State<QuotesExample> {
  bool isScrollable = true;

  Widget switchButton() {
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: SeniorSwitch(
        titlePosition: SeniorSwitchTitlePosition.right,
        title: 'Scrollable',
        value: isScrollable,
        onChanged: (changedValue) => setState(
          () => isScrollable = changedValue!,
        ),
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Quotes',
      child: Scaffold(
        body: isScrollable
            ? Column(
                children: [
                  switchButton(),
                  SeniorQuotes(
                    message: text1,
                    isScrollable: true,
                  )
                ],
              )
            : SingleChildScrollView(
                child: Column(
                  children: [
                    switchButton(),
                    SeniorQuotes(
                      message: text1,
                      isScrollable: false,
                    )
                  ],
                ),
              ),
      ),
    );
  }
}

const text1 =
    '''Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur condimentum neque non ante vehicula, vel vestibulum velit condimentum. Nullam dapibus arcu libero, 
sit amet pellentesque augue fringilla vitae. Mauris fermentum enim a risus rutrum scelerisque. Pellentesque dapibus viverra leo sit amet sagittis. Donec eget nunc velit. Sed risus dui, 
venenatis a lorem sed, finibus malesuada odio. Donec suscipit vulputate purus, et consequat justo. Suspendisse ut mi eget lacus iaculis luctus.
Suspendisse lobortis dui est, et consequat nisl consectetur scelerisque. Fusce feugiat consectetur sem, a commodo enim dapibus id. Vivamus id venenatis nisi, non pulvinar orci. Praesent 
rhoncus tellus at malesuada hendrerit. In efficitur lobortis suscipit. Sed dictum libero a justo congue volutpat. Nullam varius nibh vitae risus efficitur eleifend. In rutrum et mi et 
fringilla. Donec sed massa sed augue bibendum pulvinar. Donec suscipit enim eu quam placerat, quis tempor dui consectetur. Phasellus hendrerit ante diam, vel sodales dui tempor in. 
Suspendisse dui diam, tempus vitae est quis, dictum vulputate mi. Proin in sem sit amet risus euismod bibendum quis quis arcu. Aliquam pellentesque suscipit ex id dapibus. Praesent ut 
pretium erat. Vestibulum vehicula fermentum nisi in ornare.
In magna enim, tristique id turpis ut, scelerisque luctus turpis. Praesent vitae pellentesque turpis. Pellentesque vulputate diam libero, sodales tincidunt odio viverra id. Maecenas 
pharetra feugiat pretium. Suspendisse laoreet dui nibh, eu placerat nulla finibus vel. Integer eleifend ultrices nisl ultricies faucibus. Aenean vitae ligula ipsum. Etiam tempus interdum 
porttitor.
Ut pretium placerat iaculis. Nulla dapibus quam in ipsum pharetra, vitae venenatis mi rhoncus. Aenean viverra justo nec lacus lacinia scelerisque. In ligula dolor, porta eget enim nec, 
blandit congue lectus. Ut mattis viverra vulputate. Pellentesque porttitor placerat lacinia. Proin sed rutrum libero. Pellentesque at pretium nulla, et commodo urna. Donec tincidunt 
efficitur erat id mollis. Etiam a fermentum libero, vel pharetra augue. Etiam ornare efficitur augue sit amet laoreet. Phasellus pretium euismod sem, dapibus iaculis dui elementum non. 
Proin a arcu elementum, ultrices lorem eget, venenatis justo. Quisque tempor efficitur dui, id tincidunt orci. Praesent pretium massa at laoreet lobortis.
Vivamus posuere in nibh quis vehicula. Nam aliquet, leo quis euismod suscipit, diam risus elementum leo, non fermentum ante nulla vitae ex. Aenean pulvinar, tellus nec sodales vehicula, 
libero justo molestie urna, non lacinia eros nulla at lorem. Quisque tristique metus quis vestibulum dictum. Fusce finibus sagittis eros quis sollicitudin. Vivamus at mauris orci. 
Pellentesque id lorem eget ante porta convallis. Sed vehicula fermentum augue. Quisque vitae sem quis odio ultrices tempor. Proin porta velit non odio semper tristique. Donec porta mauris 
sit amet dignissim aliquet. Nullam gravida rutrum pellentesque. Aliquam sit amet condimentum felis. Sed interdum ante in nisl sollicitudin, eget facilisis erat placerat. Aenean finibus 
hendrerit ********************************************************** ''';
