import 'package:flutter/material.dart';
import 'package:senior_design_system/components/senior_button/senior_button.dart';
import 'package:senior_design_system/components/senior_slide_to_act/senior_slide_to_act.dart';

import '../widgets/page_wrapper.dart';
import '../widgets/panel.dart';

class SlideToActExample extends StatefulWidget {
  const SlideToActExample({Key? key}) : super(key: key);

  @override
  _RatingExampleState createState() => _RatingExampleState();
}

class _RatingExampleState extends State<SlideToActExample> {
  Key _key = UniqueKey();

  void _restartApp() {
    setState(() {
      _key = UniqueKey();
    });
  }

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Slide to Act',
      child: KeyedSubtree(
        key: _key,
        child: Column(
          children: [
            Panel(
              title: 'Default',
              child: Center(
                child: SeniorSlideToAct(
                  text: 'Arraste para a direita',
                  onSubmit: () {},
                ),
              ),
            ),
            Panel(
              title: 'Reversed',
              child: Center(
                child: SeniorSlideToAct(
                  text: 'Arraste para a esquerda',
                  reversed: true,
                  onSubmit: () {},
                ),
              ),
            ),
            SeniorButton(
              label: 'Restaurar',
              onPressed: () {
                _restartApp();
              },
            ),
          ],
        ),
      ),
    );
  }
}
