import 'package:flutter/material.dart';

import 'package:font_awesome_flutter/font_awesome_flutter.dart';
import 'package:senior_design_tokens/senior_design_tokens.dart';
import 'package:senior_design_system/senior_design_system.dart';

import '../widgets/page_wrapper.dart';

class StatePageIconExample extends StatelessWidget {
  const StatePageIconExample({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'State Page Icon',
      child: SeniorStatePageIcon(
        title: 'Agradecemos sua avaliação!',
        subTitle:
            'Você pode também continuar a avaliaçâo na loja de aplicativos',
        icon: FontAwesomeIcons.faceSmile,
        gradient: false,
        iconColor: SeniorColors.primaryColor,
        actions: [
          SeniorButton.primary(
            label: 'Avaliar na loja',
            onPressed: () {},
          ),
          SeniorButton.ghost(
            label: 'Fechar',
            onPressed: () {},
          ),
        ],
      ),
    );
  }
}
