import 'package:flutter/material.dart';

import 'package:font_awesome_flutter/font_awesome_flutter.dart';
import 'package:senior_design_tokens/senior_design_tokens.dart';
import 'package:senior_design_system/senior_design_system.dart';

import '../../widgets/page_wrapper.dart';

class StepperExample extends StatefulWidget {
  const StepperExample({Key? key}) : super(key: key);

  @override
  State<StepperExample> createState() => _StepperExampleState();
}

class _StepperExampleState extends State<StepperExample> {
  int steps = 5;
  int current = 0;

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Stepper',
      child: SingleChildScrollView(
        child: Padding(
          padding: const EdgeInsets.all(SeniorSpacing.normal),
          child: Column(
            children: [
              SeniorStepper(
                current: current,
                roundedBorders: false,
                steps: steps,
              ),
              const SizedBox(
                height: SeniorSpacing.small,
              ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  SeniorIconButton(
                    type: SeniorIconButtonType.primary,
                    size: SeniorIconButtonSize.small,
                    icon: FontAwesomeIcons.arrowLeft,
                    onTap: () {
                      if (current > 0) {
                        setState(() {
                          current--;
                        });
                      }
                    },
                  ),
                  SeniorIconButton(
                    type: SeniorIconButtonType.primary,
                    size: SeniorIconButtonSize.small,
                    icon: FontAwesomeIcons.arrowRight,
                    onTap: () {
                      if (current < steps) {
                        setState(() {
                          current++;
                        });
                      }
                    },
                  ),
                ],
              ),
            ],
          ),
        ),
      ),
    );
  }
}
