import 'package:flutter/material.dart';

import 'package:senior_design_tokens/senior_design_tokens.dart';
import 'package:senior_design_system/senior_design_system.dart';

class TextExample extends StatelessWidget {
  const TextExample({super.key});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(vertical: SeniorSpacing.big),
      child: Column(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          SeniorText.h1('Fonte h1'),
          SeniorText.h1('Fonte h1 com ênfase', emphasis: true),
          SeniorText.h2('Fonte h2'),
          SeniorText.h2('Fonte h2 com ênfase', emphasis: true),
          SeniorText.h3('Fonte h3'),
          SeniorText.h3('Fonte h3 com ênfase', emphasis: true),
          SeniorText.h4('Fonte h4'),
          SeniorText.h4('Fonte h4 com ênfase', emphasis: true),
          SeniorText.cta('Fonte cta'),
          SeniorText.cta('Fonte cta com ênfase', emphasis: true),
          SeniorText.label('Fonte label'),
          SeniorText.label('Fonte label com ênfase', emphasis: true),
          SeniorText.labelBold('Fonte labelBold'),
          SeniorText.labelBold('Fonte labelBold com ênfase', emphasis: true),
          SeniorText.body('Fonte body'),
          SeniorText.body('Fonte body com ênfase', emphasis: true),
          SeniorText.bodyBold('Fonte bodyBold'),
          SeniorText.bodyBold('Fonte bodyBold com ênfase', emphasis: true),
          SeniorText.small('Fonte small'),
          SeniorText.small('Fonte small com ênfase', emphasis: true),
          SeniorText.smallBold('Fonte smallBold'),
          SeniorText.smallBold('Fonte smallBold com ênfase', emphasis: true),
          SeniorText.smallLink('Fonte smallLink'),
          SeniorText.smallLink('Fonte smallLink com ênfase', emphasis: true),
        ],
      ),
    );
  }
}
