import 'package:flutter/material.dart';

import 'package:provider/provider.dart';
import 'package:senior_design_system/senior_design_system.dart';
import 'package:senior_design_tokens/senior_design_tokens.dart';

class Panel extends StatelessWidget {
  final String title;
  final Widget child;

  const Panel({
    Key? key,
    required this.title,
    required this.child,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Padding(
        padding: const EdgeInsets.only(
          bottom: SeniorSpacing.small,
        ),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Padding(
              padding:
                  const EdgeInsets.symmetric(vertical: SeniorSpacing.xsmall),
              child: Consumer<ThemeRepository>(
                builder: (context, repository, child) =>
                    SeniorText.label(title),
              ),
            ),
            child,
          ],
        ),
      ),
    );
  }
}
