import 'package:flutter/material.dart';

class SeniorBottomNavigationBarStyle {
  /// Style definitions for the SeniorBottomNavigationBar component.
  const SeniorBottomNavigationBarStyle({
    this.badgeColor,
    this.badgeItemColor,
    this.color,
    this.selectedItemColor,
    this.unselectedItemColor,
  });

  /// Defines the badge color of bottom navigation bar items.
  final Color? badgeColor;

  /// Defines the content color of badges for bottom navigation bar items.
  final Color? badgeItemColor;

  /// Defines the color of the bottom navigation bar.
  final Color? color;

  /// Defines the color of the selected bottom navigation bar item.
  final Color? selectedItemColor;

  /// Defines the color of unselected bottom navigation bar items.
  final Color? unselectedItemColor;
}
