import 'package:flutter/material.dart';

class SeniorButtonStyle {
  /// Style definitions for the SeniorButton component.
  const SeniorButtonStyle({
    this.backgroundColor,
    this.disabledBackgroundColor,
    this.dangerBackgroundColor,
    this.dangerDisabledBackgroundColor,
    this.contentColor,
    this.disabledContentColor,
    this.dangerContentColor,
    this.dangerDisabledContentColor,
    this.borderColor,
    this.disabledBorderColor,
    this.dangerBorderColor,
    this.dangerDisabledBorderColor,
    this.loaderColor,
    this.dangerLoaderColor,
    this.outlinedContentColor,
    this.dangerOutlinedContentColor,
    this.outlinedDisabledContentColor,
    this.dangerOutlinedDisabledContentColor,
  });

  /// Defines the button background color.
  final Color? backgroundColor;

  /// Defines the button background color when it's disabled.
  final Color? disabledBackgroundColor;

  /// Defines the button background color when it's danger state.
  final Color? dangerBackgroundColor;

  /// Defines the button background color when it's disabled and danger state.
  final Color? dangerDisabledBackgroundColor;

  /// Defines the button content color.
  final Color? contentColor;

  /// Defines the button content color when it's disabled.
  final Color? disabledContentColor;

  /// Defines the button content color when it's danger state.
  final Color? dangerContentColor;

  /// Defines the button content color when it's outlined state.
  final Color? outlinedContentColor;

  /// Defines the button content color when it's danger and outlined state.
  final Color? dangerOutlinedContentColor;

  /// Defines the button content color when it's disabled and danger state.
  final Color? dangerDisabledContentColor;

  /// Defines the button border color.
  final Color? borderColor;

  /// Defines the button border color when it's disabled.
  final Color? disabledBorderColor;

  /// Defines the button border color when it's danger state.
  final Color? dangerBorderColor;

  /// Defines the button border color when it's disabled and danger state.
  final Color? dangerDisabledBorderColor;

  /// Defines the button loader color.
  final Color? loaderColor;

  /// Defines the button loader color when it's danger state.
  final Color? dangerLoaderColor;

  /// Defines the button content color when it's disabled with danger and outlined state and.
  final Color? dangerOutlinedDisabledContentColor;

  /// Defines the button content color when it's disabled with outlined state.
  final Color? outlinedDisabledContentColor;
}
