import 'package:flutter/material.dart';

class SeniorCheckboxStyle {
  /// Style definitions for the SeniorCheckbox component.
  const SeniorCheckboxStyle({
    this.activeColor,
    this.checkColor,
    this.checkedBorderColor,
    this.disabledBorderColor,
    this.disabledCheckColor,
    this.disabledTitleColor,
    this.titleColor,
    this.uncheckedBorderColor,
  });

  /// Defines the color to use when this checkbox is checked.
  final Color? activeColor;

  /// Defines the color to use for the check icon when this checkbox is checked.
  final Color? checkColor;

  /// Defines the color of the checkbox border.
  final Color? checkedBorderColor;

  /// Defines the border color of the checkbox when disabled.
  final Color? disabledBorderColor;

  /// Defines the color to use for the check icon when this checkbox is checked and it is disabled.
  final Color? disabledCheckColor;

  /// Defines the color of the checkbox title when disabled.
  final Color? disabledTitleColor;

  /// Defines the color of the checkbox title.
  final Color? titleColor;

  /// Defines the color of the checkbox border when it is not checked.
  final Color? uncheckedBorderColor;
}
